<div class="search-field">
  <input [formControl]="query" class="search-input" name="query" type="text" />
  <button class="search-button" (click)="onSearch(query.value)">Search</button>
</div>



<div class="search-results">
  <div *ngFor="let r of result">
    <app-search-result [searchResultHit]="r"></app-search-result>
  </div>

  <div *ngIf="result.length === 0">
    No results
  </div>
</div>